RemoteStub (Java SE 9 & JDK 9 )
Keywords: java.rmi.server.RemoteStub class

Module java.rmi
Package java.rmi.server

## Class RemoteStub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub

- All Implemented Interfaces:
    `Serializable`, `Remote`
  Direct Known Subclasses:
    `ActivationGroup_Stub`, `RMIConnectionImpl_Stub`, `RMIServerImpl_Stub`

  Deprecated.
  Statically generated stubs are deprecated, since stubs are generated dynamically. See `UnicastRemoteObject` for information about dynamic stub generation.

      @Deprecated
      public abstract class RemoteStub
      extends RemoteObject

  The `RemoteStub` class is the common superclass of statically generated client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.server.RemoteObject

      `ref`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RemoteStub​()` | Deprecated. Constructs a `RemoteStub`.
    `protected` | `RemoteStub​(RemoteRef ref)` | Deprecated. Constructs a `RemoteStub` with the specified remote reference.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `setRef​(RemoteStub stub, RemoteRef ref)` | Deprecated. No replacement. The `setRef` method was intended for setting the remote reference of a remote stub. This is unnecessary, since `RemoteStub`s can be created and initialized with a remote reference through use of the `RemoteStub(RemoteRef)` constructor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

- - ### Constructor Detail

    - #### RemoteStub

          protected RemoteStub​()

      Deprecated.
      Constructs a `RemoteStub`.

    - #### RemoteStub

          protected RemoteStub​(RemoteRef ref)

      Deprecated.
      Constructs a `RemoteStub` with the specified remote reference.
      Parameters:
        `ref` - the remote reference
      Since:
        1.1

  - ### Method Detail

    - #### setRef

          @Deprecated
          protected static void setRef​(RemoteStub stub,
                                       RemoteRef ref)

      Deprecated. No replacement. The `setRef` method was intended for setting the remote reference of a remote stub. This is unnecessary, since `RemoteStub`s can be created and initialized with a remote reference through use of the `RemoteStub(RemoteRef)` constructor.
      Throws `UnsupportedOperationException`.
      Parameters:
        `stub` - the remote stub
        `ref` - the remote reference
      Throws:
        `UnsupportedOperationException` - always
      Since:
        1.1